
ParticleDefinitions[GaugeES] = {
      {SdL,  {  Description -> "Left Down-Squarks"}},
      {SdR,  { Description -> "Right Down-Squarks"}},
      {SuL,  { Description -> "Left Up-Squarks"}}, 
      {SuR,  { Description -> "Right Up-Squarks" }},                
      {SeL,  { Description -> "Left Selectron"}}, 
      {SeR,  { Description -> "Right Selectron"}},                         
      {SvL,  { Description -> "Left Sneutrino"}},                         
      {SHd0, { Description -> "Neutral Down-Higgs"}},                         
      {SHdm, { Description -> "Charged Down-Higgs"}}, 
      {SHu0, { Description -> "Neutral Up-Higgs"}},                         
      {SHup, { Description -> "Charged Up-Higgs"}},                                                   
      {VB,   { Description -> "B-Boson"}},                                                   
      {VG,   { Description -> "Gluon"}},          
      {VWB,  { Description -> "W-Bosons"}},          
      {gB,   { Description -> "B-Boson Ghost"}},                                                   
      {gG,   { Description -> "Gluon Ghost" }},          
      {gWB,  { Description -> "W-Boson Ghost"}},    
      {Glu,  { Description -> "Gluino"}},
      {Wino, { Description -> "Wino"}},
      {Bino, { Description -> "Bino"}},                                                                                           
      {H0,   { Description -> "Neutral Higgsinos"}},
      {HC,   { Description -> "Charged Higgsinos"}},
      {Fd1,  { Description -> "Dirac Left Down-Quark"}},
      {Fd2,  { Description -> "Dirac Right Down-Quark"}},
      {Fu1,  { Description -> "Dirac Left Up-Quark"}},
      {Fu2,  { Description -> "Dirac Right Up-Quark"}},
      {Fe1,  { Description -> "Dirac Left Electron"}},
      {Fe2,  { Description -> "Dirac Right Electron"}},
      {Fv,   { Description -> "Neutrinos" }},
      
      {Ss,    {LaTeX -> "S", 
    OutputName -> "SS",
    FeynArtsNr -> 101}},

      {ST,    {LaTeX -> "T" }},

      {ST0,    {LaTeX -> "T^0", 
    FeynArtsNr -> 102,
    OutputName -> "ST0"}},

      {STm,    {LaTeX -> "T^-", 
    FeynArtsNr -> 103,
    OutputName -> "STm"}},

      {STp,    {LaTeX -> "T^+", 
    FeynArtsNr -> 104,
    OutputName -> "STp"}},

      {SOc,    {LaTeX -> "O", 
    FeynArtsNr -> 105,
    OutputName -> "SOc"}},

      {SRd0,    {LaTeX -> "R_d^0", 
    FeynArtsNr -> 50,
    OutputName -> "SRd0"}},

      {SRdp,    {LaTeX -> "R_d^+", 
    FeynArtsNr -> 51,
    OutputName -> "SRdp"}},

      {SRu0,    {LaTeX -> "R_u^0", 
    FeynArtsNr -> 52,
    OutputName -> "SRu0"}},

      {SRum,    {LaTeX -> "R_d^-", 
    FeynArtsNr -> 53,
    OutputName -> "SRum"}}
      
      };
      
      
      
      
  ParticleDefinitions[EWSB] = {
      {Sd ,  { Description -> "Down-Squarks"}},
      {Su ,  { Description -> "Up-Squarks"}},   
      {Se ,  { Description -> "Sleptons"}}, 
      {Sv ,  { Description -> "Sneutrinos"}},                                
      {hh ,  { Description -> "Higgs",
                PDG -> {25,35,45,55},
                PDG.IX ->{101000001,101000002,101000003,101000004} }}, 
      {Ah ,  { Description -> "Pseudo-Scalar Higgs",
                 PDG.IX ->{0,102000001,102000002,102000003},
                PDG -> {0,36,46,56} }},                       
      {Hpm,  { Description -> "Charged Higgs",
                 PDG.IX ->{0, -100000601, -100000602, -100000603},
                PDG -> {0,-37,-47,-57}  }},                                                   
      {VP,   { Description -> "Photon"}}, 
      {VZ,   { Description -> "Z-Boson"}}, 
      {VG,   { Description -> "Gluon" }},          
      {VWm,  { Description -> "W-Boson",
	Mass -> Dependence,
	MassDependence -> Sqrt[(Mass[VZ]*Cos[ThetaW])^2+(vT*g2)^2]
 }},         
      {gP,   { Description -> "Photon Ghost"}},                                                   
      {gWm,  { Description -> "Negative W-Boson Ghost"}}, 
      {gWmC, { Description -> "Positive W-Boson Ghost" }}, 
      {gZ,   { Description -> "Z-Boson Ghost" }},
      {gG,   { Description -> "Gluon Ghost" }},             
      {Fd,   { Description -> "Down-Quarks"}},   
      {Fu,   { Description -> "Up-Quarks"}},   
      {Fe,   { Description -> "Leptons" }},
      {Fv,   { Description -> "Neutrinos" }},                                                                     
      {Glu,  { Description -> "Gluino",
               PDG -> {1000021},
               PDG.IX ->{211110001} }},
           {phiO,  { PDG -> {3000021},
               PDG.IX ->{101110001},
               LaTeX -> "\\phi_o",
               OutputName -> "POc",
               Mass -> LesHouches,
               FeynArtsNr -> 25,
               LHPC -> {4, "purple"},
                 ElectricCharge -> 0  }}, 
      {sigmaO,  { PDG -> {3000022},
               PDG.IX ->{101110001},
               LaTeX -> "\\sigma_o",
               OutputName -> "SOc",
               Mass -> LesHouches,
               FeynArtsNr -> 26,
               LHPC -> {4, "red"},
                 ElectricCharge -> 0  }},    
      {Chi,  { Description -> "Neutralinos",
                 PDG -> {1000022,1000023,1000025,1000035},
                 PDG.IX -> {211000001,211000002,211000003,211000004} }},
      {Cha1, {   PDG -> {-1000024, -1000037},
                 Mass -> LesHouches,
                 FeynArtsNr -> 12,
                 ElectricCharge -> 1,
                 LaTeX -> {"\\tilde{\\chi}^+","\\tilde{\\chi}^-"},
                 LHPC -> {4, "red"},
                 OutputName -> "CA" }}, 

      {Cha2, {   PDG -> {-2000024, -2000037},
                 Mass -> LesHouches,
                 FeynArtsNr -> 22,
                 ElectricCharge -> -1,
                 LaTeX -> {"\\tilde{\\rho}^-","\\tilde{\\rho}^+"},
                LHPC -> {4, "blue"},
                 OutputName -> "CB" }},

      {FRdu, {   PDG -> {-3000038},
                 Mass -> LesHouches,
                 FeynArtsNr -> 30,
                 ElectricCharge -> +1,
                 LaTeX -> {"\\tilde{R}^+","\\tilde{R}^-"},
                LHPC -> {5, "blue"},
                 OutputName -> "R" }},

      {Rh,  { PDG -> {401,402},
               LaTeX -> "R^h",
               OutputName -> "R0",
               Mass -> LesHouches,
               FeynArtsNr -> 8,
               LHPC -> {2, "purple"},
                 ElectricCharge -> 0  }}, 
                 
     {SRum,    {LaTeX -> {"R_u^-","R_u^+"},
                ElectricCharge -> -1,
                LHPC -> {2, "yellow"}, 
                FeynArtsNr -> 9,
                PDG -> {403},
                Mass -> LesHouches,
                OutputName -> "Rm"}},
       
                 
     {SRdp,    {LaTeX -> {"R_d^+","R_d^-"},
               ElectricCharge -> 1,
               LHPC -> {2, "yellow"}, 
               FeynArtsNr -> 10,
               PDG -> {404},
               Mass -> LesHouches,
                OutputName -> "Rp"}}       
                  
};                                                                                                                
        
        
        
 WeylFermionAndIndermediate = {
       {FHd0, { Description -> "Neutral Down-Higgsino"}},      
       {FHu0, { Description -> "Neutral Up-Higgsino" }}, 
       {FHdm, { Description -> "Charged Down-Higgsino"}},                                                                                                             
       {FHup, { Description -> "Charged Up-Higgsino"}},
       {L0,   { Description -> "Neutralino Weyl-Spinor"}},
       {Lm,   { Description -> "Negative Chargino Weyl-Spinor"}},
       {Lp,   { Description -> "Positive Chargino Weyl-Spinor"}}, 
       {fG,   { Description ->"Gluino Weyl-Spinor"}},
       {fWB,  { Description ->"Wino Weyl-Spinor"}},
       {fW0,  { Description ->"Neutral Wino" }},
       {fWm,  { Description ->"Negative Wino"}},                 
       {fWp,  { Description ->"Positive Wino"}},                 
       {fB,   { Description ->"Bino Weyl-Spinor"}},    
       {phid, { Description -> "Scalar Down"}},                                                                       
       {phiu, { Description -> "Scalar Up"}}, 
       {sigmad,   { Description -> "Pseudo Scalar Down"}},                                                                                        
       {sigmau,   { Description -> "Pseudo Scalar Up" }},
       {SHd,  { Description -> "Down-Higgs"}},
       {SHu,  { Description -> "Up-Higgs"}},
       {Sl,   { Description -> "Left Slepton" }},
       {Sq,   { Description -> "Left Squark" }},
       {FeL,  { Description -> "Left Electron" }},
       {FeR,  { Description -> "Right Electron" }} ,
       {FdL,  { Description -> "Left Down-Quark" }},
       {FdR,  { Description -> "Right Down-Quark" }},              
       {FuL,  { Description -> "Left Up-Quark" }},
       {FuR,  { Description -> "Right Up-Quark" }},
       {FEL,  { Description -> "Rotated Left Electron" }},
       {FER,  { Description -> "Rotated Right Electron" }} ,
       {FDL,  { Description -> "Rotated Left Up-Quark" }},
       {FDR,  { Description -> "Rotated Right Up-Quark" }},              
       {FUL,  { Description -> "Rotated Left Down-Quark"}},
       {FUR,  { Description -> "Rotated Right Down-Quark" }},                
       {FHd,  { Description -> "Down-Higgsino" }},
       {FHu,  { Description -> "Up-Higgsino" }},
       {Fl,   { Description -> "Left Leptons"}},
       {Fq,   { Description -> "Left Quarks"}},  
       {FvL,  { Description -> "Left Neutrino"}},

       {L01, {   PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\lambda^0",
                 OutputName -> "" }},

       {L02, {   PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\rho^0",
                 OutputName -> "" }},

       {Lm1, {   PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\lambda^-",
                 OutputName -> "" }},
                 
                 
        {Lm2, {  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\rho^-",
                 OutputName -> "" }},

       {Lp1, {   PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\lambda^+",
                 OutputName -> "" }},
                 
                 
        {Lp2, {  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\rho^+",
                 OutputName -> "" }},


       
       {sigmaS, {LaTeX -> "\\sigma_S" }},
       {sigmaT, {LaTeX -> "\\sigma_T" }},
       {phiS, {LaTeX -> "\\phi_S" }},
       {phiT, {LaTeX -> "\\phi_T" }},
       
       {e,    { Description -> "Right Electron Superfield" }},
       {d,    { Description -> "Right Down-Quark Superfield" }},                 
       {q,    { Description -> "Left Quark Superfield" }},                 
       {u,    { Description -> "Right Up-Quark Superfield" }},                 
       {l,    { Description -> "left Lepton Superfield" }},  
       {Hd,   { Description -> "Down-Higgs Superfield"}},                                         
       {Hu,   { Description -> "Up-Higgs Superfield" }},                 
       {G,    { Description -> "Gluon Superfield" }},                 
       {B,    { Description -> "B Superfield" }},                 
       {WB,   { Description -> "W Superfield" }},
       
       {S,    {LaTeX -> "\\hat{S}"}},
       {T,    {LaTeX -> "\\hat{T}"}},
       {oc,    {LaTeX -> "\\hat{oc}"}},
       
       {Fs,    {LaTeX -> "\\tilde{S}"}},
       {FT,    {LaTeX -> "\\tilde{T}"}},
       {FT0,    {LaTeX -> "\\tilde{T}^0"}},
       {FTm,    {LaTeX -> "\\tilde{T}^-"}},
       {FTp,    {LaTeX -> "\\tilde{T}^+"}},
       {FOc,    {LaTeX -> "\\tilde{O}"}},

       {FRd0,    {LaTeX -> "R_d^0"}},

       {FRu0,    {LaTeX -> "R_u^0"}},

       {FRum,    {LaTeX -> "R_u^-"}},

	{FRdp,    {LaTeX -> "R_d^+"}}

       
       
    };                 
